## libkf5eventviews 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(eventviews VERSION ${PIM_VERSION})

# ECM setup
set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
if(POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif()

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
set(CALENDARUTILS_LIB_VERSION "5.13.3")
set(AKONADI_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")
set(AKONADICALENDAR_LIB_VERSION "5.13.3")
set(KMIME_LIB_VERSION "5.13.3")
set(LIBKDEPIM_LIB_VERSION "5.13.3")
set(CALENDARSUPPORT_LIB_VERSION "5.13.3")

find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets UiTools)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)

set(KDIAGRAM_LIB_VERSION "1.4.0")
find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)

ecm_setup_version(PROJECT VARIABLE_PREFIX EVENTVIEWS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
                        SOVERSION 5
)

########### Targets ###########


if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()

add_definitions(-DQT_NO_FOREACH)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5EventViewsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5EventViewsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5EventViewsTargets.cmake NAMESPACE KF5::)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)
if(BUILD_TESTING)
  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(tests)
endif()

install(FILES eventviews.renamecategories eventviews.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== src/CMakeLists.txt ===
# The following macros can be defined to alter behavior.
# (if desired, use add_definitions() to define them)
#
# EVENTVIEWS_NODECOS - turns-off decoration plugins in views.
#                No idea why you would want to define this, perhaps to save
#                screen real estate? But there are a config options for that.


add_definitions(-DTRANSLATION_DOMAIN=\"libeventviews\")

if(KDEPIM_BUILD_EXAMPLES)
  add_subdirectory(viewerapp)
endif()

option(EVENTVIEWS_NODECOS "Turn-off decoration plugins in views." FALSE)

if(EVENTVIEWS_NODECOS)
  add_definitions(-DEVENTVIEWS_NODECOS)
endif()

########### next target ###############

set(eventviews_LIB_SRCS
  eventview_p.cpp
  eventview.cpp
  helper.cpp
  prefs.cpp

  # Agenda view specific code.
  agenda/agenda.cpp
  agenda/agendaitem.cpp
  agenda/agendaview.cpp
  agenda/alternatelabel.cpp
  agenda/calendardecoration.cpp
  agenda/decorationlabel.cpp
  agenda/timelabels.cpp
  agenda/timelabelszone.cpp
  agenda/timescaleconfigdialog.cpp
  agenda/viewcalendar.cpp

  journal/journalframe.cpp
  journal/journalview.cpp

  list/listview.cpp

  month/monthgraphicsitems.cpp
  month/monthitem.cpp
  month/monthscene.cpp
  month/monthview.cpp

  multiagenda/multiagendaview.cpp

  todo/tododelegates.cpp
  todo/todomodel.cpp
  todo/incidencetreemodel.cpp

  todo/todoviewquickaddline.cpp
  todo/todoviewquicksearch.cpp
  todo/todoviewsortfilterproxymodel.cpp
  todo/todoviewview.cpp
  todo/todoview.cpp

  timeline/timelineview.cpp
  timeline/timelineitem.cpp
  timeline/timelineview_p.cpp

  whatsnext/whatsnextview.cpp
)

kconfig_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)

ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h IDENTIFIER CALENDARVIEW_LOG CATEGORY_NAME org.kde.pim.calendarview)
ki18n_wrap_ui(eventviews_LIB_SRCS
  agenda/timescaleedit_base.ui
)

add_library(KF5EventViews ${eventviews_LIB_SRCS})
generate_export_header(KF5EventViews BASE_NAME eventviews)

add_library(KF5::EventViews ALIAS KF5EventViews)

target_link_libraries(KF5EventViews
PUBLIC
  KF5::AkonadiCore
  KF5::CalendarSupport

  KF5::CalendarCore
  KF5::CalendarUtils
  KF5::AkonadiCalendar
PRIVATE
  KF5::Holidays
  KF5::Completion
  KF5::Service
  KF5::IconThemes
  KF5::GuiAddons
  KF5::I18n
  KF5::LibkdepimAkonadi
  KF5::Codecs
  KGantt
  KF5::AkonadiWidgets
)

target_include_directories(KF5EventViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews/;${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews>")
target_include_directories(KF5EventViews PUBLIC "$<BUILD_INTERFACE:${eventviews_SOURCE_DIR}/src;${eventviews_BINARY_DIR}/src;>")

set_target_properties(KF5EventViews PROPERTIES
  VERSION ${EVENTVIEWS_VERSION_STRING}
  SOVERSION ${EVENTVIEWS_SOVERSION}
  EXPORT_NAME EventViews
)

install(TARGETS
  KF5EventViews
  EXPORT KF5EventViewsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(eventviews_CamelCase_HEADERS
  HEADER_NAMES
  Helper
  Prefs
  EventView
  REQUIRED_HEADERS eventviews_CamelCase_HEADERS
  PREFIX EventViews
)

ecm_generate_headers(eventviews_CamelCaseagenda_HEADERS
  HEADER_NAMES
  CalendarDecoration
  AgendaView
  ViewCalendar
  REQUIRED_HEADERS eventviews_agenda_HEADERS
  PREFIX EventViews
  RELATIVE agenda
)

ecm_generate_headers(eventviews_CamelCasetodo_HEADERS
  HEADER_NAMES
  TodoView
  REQUIRED_HEADERS eventviews_todo_HEADERS
  PREFIX EventViews
  RELATIVE todo
)

ecm_generate_headers(eventviews_CamelCasemonth_HEADERS
  HEADER_NAMES
  MonthView
  REQUIRED_HEADERS eventviews_month_HEADERS
  PREFIX EventViews
  RELATIVE month
)

ecm_generate_headers(eventviews_CamelCaselist_HEADERS
  HEADER_NAMES
  ListView
  REQUIRED_HEADERS eventviews_list_HEADERS
  PREFIX EventViews
  RELATIVE list
)

ecm_generate_headers(eventviews_CamelCasejournal_HEADERS
  HEADER_NAMES
  JournalView
  REQUIRED_HEADERS eventviews_journal_HEADERS
  PREFIX EventViews
  RELATIVE journal
)

ecm_generate_headers(eventviews_CamelCasemultiagenda_HEADERS
  HEADER_NAMES
  MultiAgendaView
  ConfigDialogInterface
  REQUIRED_HEADERS eventviews_multiagenda_HEADERS
  PREFIX EventViews
  RELATIVE multiagenda
)

ecm_generate_headers(eventviews_CamelCasetimeline_HEADERS
  HEADER_NAMES
  TimeLineView
  REQUIRED_HEADERS eventviews_timeline_HEADERS
  PREFIX EventViews
  RELATIVE timeline
)

ecm_generate_headers(eventviews_CamelCasewhatsnext_HEADERS
  HEADER_NAMES
  WhatsNextView
  REQUIRED_HEADERS eventviews_whatsnext_HEADERS
  PREFIX EventViews
  RELATIVE whatsnext
)

ecm_generate_pri_file(BASE_NAME EventViews
  LIB_NAME KF5EventViews
  DEPS "Mime AkonadiCalendar" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR
  ${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews
)

install(FILES
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_CamelCaseagenda_HEADERS}
  ${eventviews_CamelCasetodo_HEADERS}
  ${eventviews_CamelCasewhatsnext_HEADERS}
  ${eventviews_CamelCasetimeline_HEADERS}
  ${eventviews_CamelCasemultiagenda_HEADERS}
  ${eventviews_CamelCasejournal_HEADERS}
  ${eventviews_CamelCaselist_HEADERS}
  ${eventviews_CamelCasemonth_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews
  COMPONENT Devel
)

install(FILES
  ${eventviews_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/eventviews_export.h
  ${eventviews_CamelCase_HEADERS}
  ${eventviews_agenda_HEADERS}
  ${eventviews_todo_HEADERS}
  ${eventviews_whatsnext_HEADERS}
  ${eventviews_timeline_HEADERS}
  ${eventviews_multiagenda_HEADERS}
  ${eventviews_journal_HEADERS}
  ${eventviews_list_HEADERS}
  ${eventviews_month_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews
  COMPONENT Devel
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(FILES agenda/calendardecoration.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== debian/changelog ===
libkf5eventviews (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Follow Debian ABI bump:
    - libkf5eventviews5 -> libkf5eventviews5abi1
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:56:50 +0100

libkf5eventviews (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:36 +0100

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicalendar-dev (>= 4:19.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:19.12.3~),
               libkf5calendarutils-dev (>= 4:19.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:19.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 19.12.3~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: korganizer (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadicalendar-dev (>= 4:19.12.3~),
         libkf5calendarsupport-dev (>= 4:19.12.3~),
         libkf5calendarutils-dev (>= 4:19.12.3~),
         libkf5eventviews5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkf5eventviews5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5EventViews
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

## libkf5eventviews 20.08.1

=== debian/changelog ===
libkf5eventviews (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:48:54 +0100

libkf5eventviews (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:19:15 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicalendar-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicalendar-dev (>= 4:20.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:19.12.3~),
-               libkf5calendarutils-dev (>= 4:19.12.3~),
+               libkf5calendarsupport-dev (>= 4:20.08.1~),
+               libkf5calendarutils-dev (>= 4:20.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:19.12.3~),
+               libkf5contacteditor-dev (>= 4:20.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 19.12.3~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5identitymanagement-dev (>= 20.08.1~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,10 +42,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadicalendar-dev (>= 4:19.12.3~),
-         libkf5calendarsupport-dev (>= 4:19.12.3~),
-         libkf5calendarutils-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadicalendar-dev (>= 4:20.08.1~),
+         libkf5calendarsupport-dev (>= 4:20.08.1~),
+         libkf5calendarutils-dev (>= 4:20.08.1~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.13.3")
+set(PIM_VERSION "5.15.3")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.63.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,23 +22,22 @@
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
 
-include(ECMSetupVersion)
 include(FeatureSummary)
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
 
 
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "5.13.3")
-set(AKONADI_LIB_VERSION "5.13.3")
-set(QT_REQUIRED_VERSION "5.11.0")
-set(AKONADICALENDAR_LIB_VERSION "5.13.3")
-set(KMIME_LIB_VERSION "5.13.3")
-set(LIBKDEPIM_LIB_VERSION "5.13.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.13.3")
+set(CALENDARUTILS_LIB_VERSION "5.15.3")
+set(AKONADI_LIB_VERSION "5.15.3")
+set(QT_REQUIRED_VERSION "5.13.0")
+set(AKONADICALENDAR_LIB_VERSION "5.15.3")
+set(KMIME_LIB_VERSION "5.15.3")
+set(LIBKDEPIM_LIB_VERSION "5.15.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.15.3")
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets UiTools)
+find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Codecs ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5GuiAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
@@ -46,11 +45,12 @@
 find_package(KF5Service ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
 
-find_package(KF5LibkdepimAkonadi ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
+find_package(KF5Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarCore ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5CalendarSupport ${CALENDARSUPPORT_LIB_VERSION} CONFIG REQUIRED)
@@ -66,12 +66,13 @@
 ########### Targets ###########
 
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
 
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")
@@ -102,6 +103,5 @@
   add_subdirectory(tests)
 endif()
 
-install(FILES eventviews.renamecategories eventviews.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -69,7 +69,12 @@
 
 kconfig_add_kcfg_files(eventviews_LIB_SRCS prefs_base.kcfgc)
 
-ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h IDENTIFIER CALENDARVIEW_LOG CATEGORY_NAME org.kde.pim.calendarview)
+ecm_qt_declare_logging_category(eventviews_LIB_SRCS HEADER calendarview_debug.h
+        IDENTIFIER CALENDARVIEW_LOG
+        CATEGORY_NAME org.kde.pim.calendarview
+        OLD_CATEGORY_NAMES log_calendarview
+        DESCRIPTION "kdepim (eventviews)" EXPORT EVENTVIEWS)
+
 ki18n_wrap_ui(eventviews_LIB_SRCS
   agenda/timescaleedit_base.ui
 )
@@ -94,10 +99,11 @@
   KF5::IconThemes
   KF5::GuiAddons
   KF5::I18n
-  KF5::LibkdepimAkonadi
+  KF5::Libkdepim
   KF5::Codecs
   KGantt
   KF5::AkonadiWidgets
+  KF5::Contacts
 )
 
 target_include_directories(KF5EventViews INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/EventViews/;${KDE_INSTALL_INCLUDEDIR_KF5}/eventviews>")
@@ -227,5 +233,6 @@
 )
 
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})
+ecm_qt_install_logging_categories(EXPORT EVENTVIEWS FILE eventviews.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 install(FILES agenda/calendardecoration.desktop DESTINATION ${KDE_INSTALL_KSERVICETYPES5DIR})

=== debian/changelog ===
libkf5eventviews (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:51 +0100

libkf5eventviews (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Update standards version to 4.5.1, no changes needed.
  * Port stable_abi.patch to QRandomGenerator, so it builds with Qt 5.15.
    (Closes: #974108)
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 15:34:32 +0100

libkf5eventviews (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:46 +0200

libkf5eventviews (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:25 +0200

libkf5eventviews (4:20.04.1-2) unstable; urgency=medium

  * Team upload.
  * Explicitly add the gettext build dependency.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * Unregister the old /etc/xdg/eventviews.categories, and
    /etc/xdg/eventviews.renamecategories conffiles.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Aug 2020 11:16:05 +0200

libkf5eventviews (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:01:05 +0200

libkf5eventviews (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Enable hardening all.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:24:56 +0200

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadicalendar-dev (>= 4:20.08.3~),
               libkf5calendarcore-dev (>= 5:5.71.0~),
               libkf5calendarsupport-dev (>= 4:20.08.3~),
               libkf5calendarutils-dev (>= 4:20.08.3~),
               libkf5codecs-dev (>= 5.71.0~),
               libkf5completion-dev (>= 5.71.0~),
               libkf5contacts-dev (>= 5:5.71.0~),
               libkf5guiaddons-dev (>= 5.71.0~),
               libkf5holidays-dev (>= 1:5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5libkdepim-dev (>= 4:20.08.3~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5service-dev (>= 5.71.0~),
               libkgantt-dev (>= 1.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               qttools5-dev (>= 5.11.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/eventviews
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/eventviews
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/eventviews.git
Rules-Requires-Root: no

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.3~),
         libkf5akonadicalendar-dev (>= 4:20.08.3~),
         libkf5calendarsupport-dev (>= 4:20.08.3~),
         libkf5calendarutils-dev (>= 4:20.08.3~),
         libkf5eventviews5abi1 (= ${binary:Version}),
         ${misc:Depends}
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkf5eventviews5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5EventViews
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.
Provides: ${ABI:VirtualPackage}

## libkf5eventviews 20.12.3

=== debian/changelog ===
libkf5eventviews (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:19 +0000

libkf5eventviews (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:42 +0000

libkf5eventviews (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:07:22 +0000

libkf5eventviews (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:22:29 +0000

libkf5eventviews (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:47:25 +0000

=== debian/control ===
Source: libkf5eventviews
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadicalendar-dev (>= 4:20.12.3~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarsupport-dev (>= 4:20.12.3~),
               libkf5calendarutils-dev (>= 4:20.12.3~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:20.12.3~),
               libkf5holidays-dev,
               libkf5i18n-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 20.12.3~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mime-dev (>= 20.12.3~),
               libkgantt-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/eventviews

Package: libkf5eventviews-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: korganizer (<= 4:16.04), ${kde-l10n:all}
Replaces: korganizer (<= 4:16.04), ${kde-l10n:all}
Description: KDE PIM event handling - data files
 This library provides an event creator for KDE PIM.
 .
 This package provides the data files used by the library.

Package: libkf5eventviews-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.12.3~),
         libkf5akonadicalendar-dev (>= 4:20.12.3~),
         libkf5calendarsupport-dev (>= 4:20.12.3~),
         libkf5calendarutils-dev (>= 4:20.12.3~),
         libkf5eventviews5abi1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - devel files
 This library provides an event creator for KDE PIM.
 .
 This package provides the development files.

Package: libkf5eventviews5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5EventViews
Architecture: any
Multi-Arch: same
Depends: libkf5eventviews-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM event handling - library
 This library provides an event creator for KDE PIM.
 .
 This package provides the shared libraries.

## libkf5eventviews 21.08.1

=== debian/changelog ===
libkf5eventviews (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:29:55 +0100

libkf5eventviews (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:57:58 +0100

libkf5eventviews (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:23 +0100

libkf5eventviews (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:41:56 +0100

libkf5eventviews (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:46 +0100

libkf5eventviews (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:34:59 +0100

libkf5eventviews (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:01:58 +0100

libkf5eventviews (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadicalendar-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadicalendar-dev (>= 4:21.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:20.12.3~),
-               libkf5calendarutils-dev (>= 4:20.12.3~),
+               libkf5calendarsupport-dev (>= 4:21.08.1~),
+               libkf5calendarutils-dev (>= 4:21.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:20.12.3~),
+               libkf5contacteditor-dev (>= 4:21.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 20.12.3~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mime-dev (>= 20.12.3~),
+               libkf5identitymanagement-dev (>= 21.08.1~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mime-dev (>= 21.08.1~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,10 +42,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.12.3~),
-         libkf5akonadicalendar-dev (>= 4:20.12.3~),
-         libkf5calendarsupport-dev (>= 4:20.12.3~),
-         libkf5calendarutils-dev (>= 4:20.12.3~),
+Depends: libkf5akonadi-dev (>= 4:21.08.1~),
+         libkf5akonadicalendar-dev (>= 4:21.08.1~),
+         libkf5calendarsupport-dev (>= 4:21.08.1~),
+         libkf5calendarutils-dev (>= 4:21.08.1~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5eventviews 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,17 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.19.3")
 
 project(eventviews VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.87.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
-set(LIBRARY_NAMELINK)
-if(POLICY CMP0053)
-  cmake_policy(SET CMP0053 NEW)
-endif()
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMSetupVersion)
@@ -23,18 +19,25 @@
 include(ECMGeneratePriFile)
 
 include(FeatureSummary)
+include(KDEGitCommitHooks)
+include(KDEClangFormat)
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 include(ECMQtDeclareLoggingCategory)
 include(ECMAddTests)
+include(ECMAddQch)
+option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
+add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 
 set(EVENTVIEW_LIB_VERSION ${PIM_VERSION})
-set(CALENDARUTILS_LIB_VERSION "5.15.3")
-set(AKONADI_LIB_VERSION "5.15.3")
-set(QT_REQUIRED_VERSION "5.13.0")
-set(AKONADICALENDAR_LIB_VERSION "5.15.3")
-set(KMIME_LIB_VERSION "5.15.3")
-set(LIBKDEPIM_LIB_VERSION "5.15.3")
-set(CALENDARSUPPORT_LIB_VERSION "5.15.3")
+set(CALENDARUTILS_LIB_VERSION "5.19.3")
+set(AKONADI_LIB_VERSION "5.19.3")
+set(QT_REQUIRED_VERSION "5.15.2")
+set(AKONADICALENDAR_LIB_VERSION "5.19.3")
+set(KMIME_LIB_VERSION "5.19.3")
+set(LIBKDEPIM_LIB_VERSION "5.19.3")
+set(CALENDARSUPPORT_LIB_VERSION "5.19.3")
 
 find_package(KF5Akonadi ${AKONADI_LIB_VERSION} CONFIG REQUIRED)
 find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets)
@@ -46,6 +49,7 @@
 find_package(KF5Completion ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Holidays ${KF5_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF5Contacts ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 set(KDIAGRAM_LIB_VERSION "1.4.0")
 find_package(KGantt ${KDIAGRAM_LIB_VERSION} CONFIG REQUIRED)
@@ -62,17 +66,21 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5EventViewsConfigVersion.cmake"
                         SOVERSION 5
 )
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
+endif()
+
 
 ########### Targets ###########
 
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500)
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
-set(CMAKE_CXX_STANDARD 14)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5EventViews")
@@ -103,5 +111,15 @@
   add_subdirectory(tests)
 endif()
 
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
+if (BUILD_QCH)
+    ecm_install_qch_export(
+        TARGETS KF5EventViews_QCH
+        FILE KF5EventViewsQchTargets.cmake
+        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
+        COMPONENT Devel
+    )
+    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5EventViewsQchTargets.cmake\")")
+endif()
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== tests/CMakeLists.txt ===
set(createcolorgui_test createcolorgui_test.cpp)
add_executable(createcolorgui_test ${createcolorgui_test})
ecm_mark_as_test(createcolorgui_test)
target_link_libraries(createcolorgui_test
  Qt::Core
  Qt::Gui
  KF5::EventViews
  KF5::I18n
)

=== src/month/autotests/CMakeLists.txt ===
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

ecm_add_test(monthitemordertest.cpp LINK_LIBRARIES Qt::Test KF5::EventViews)

=== debian/changelog ===
libkf5eventviews (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:14 +0000

libkf5eventviews (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:44 +0000

libkf5eventviews (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:37 +0000

libkf5eventviews (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:24 +0000

libkf5eventviews (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:12:59 +0000

libkf5eventviews (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:29:40 +0000

libkf5eventviews (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)
  * Disable auto tests

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: libkf5eventviews
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadicalendar-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadicalendar-dev (>= 4:21.12.3~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:21.08.1~),
-               libkf5calendarutils-dev (>= 4:21.08.1~),
+               libkf5calendarsupport-dev (>= 4:21.12.3~),
+               libkf5calendarutils-dev (>= 4:21.12.3~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.08.1~),
+               libkf5contacteditor-dev (>= 4:21.12.3~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.08.1~),
-               libkf5libkdepim-dev (>= 4:21.08.1~),
-               libkf5mime-dev (>= 21.08.1~),
+               libkf5identitymanagement-dev (>= 21.12.3~),
+               libkf5libkdepim-dev (>= 4:21.12.3~),
+               libkf5mime-dev (>= 21.12.3~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,10 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.08.1~),
-         libkf5akonadicalendar-dev (>= 4:21.08.1~),
-         libkf5calendarsupport-dev (>= 4:21.08.1~),
-         libkf5calendarutils-dev (>= 4:21.08.1~),
+Depends: libkf5akonadi-dev (>= 4:21.12.3~),
+         libkf5akonadicalendar-dev (>= 4:21.12.3~),
+         libkf5calendarsupport-dev (>= 4:21.12.3~),
+         libkf5calendarutils-dev (>= 4:21.12.3~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	:

## libkf5eventviews 22.08.1

=== debian/changelog ===
libkf5eventviews (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:42 +0100

libkf5eventviews (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:05 +0100

libkf5eventviews (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:18 +0100

libkf5eventviews (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:56:56 +0100

libkf5eventviews (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:43 +0100

libkf5eventviews (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:32 +0100

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.12.3~),
-               libkf5akonadicalendar-dev (>= 4:21.12.3~),
+               libkf5akonadi-dev (>= 4:22.08.1~),
+               libkf5akonadicalendar-dev (>= 4:22.08.1~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:21.12.3~),
-               libkf5calendarutils-dev (>= 4:21.12.3~),
+               libkf5calendarsupport-dev (>= 4:22.08.1~),
+               libkf5calendarutils-dev (>= 4:22.08.1~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:21.12.3~),
+               libkf5contacteditor-dev (>= 4:22.08.1~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 21.12.3~),
-               libkf5libkdepim-dev (>= 4:21.12.3~),
-               libkf5mime-dev (>= 21.12.3~),
+               libkf5identitymanagement-dev (>= 22.08.1~),
+               libkf5libkdepim-dev (>= 4:22.08.1~),
+               libkf5mime-dev (>= 22.08.1~),
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -43,10 +43,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.12.3~),
-         libkf5akonadicalendar-dev (>= 4:21.12.3~),
-         libkf5calendarsupport-dev (>= 4:21.12.3~),
-         libkf5calendarutils-dev (>= 4:21.12.3~),
+Depends: libkf5akonadi-dev (>= 4:22.08.1~),
+         libkf5akonadicalendar-dev (>= 4:22.08.1~),
+         libkf5calendarsupport-dev (>= 4:22.08.1~),
+         libkf5calendarutils-dev (>= 4:22.08.1~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
